/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.impl;

/**
 * Director stack implementation.
 */
final class DirectorStep {
	public int director;
	public DirectorStep nextStep;
	
	DirectorStep(int director, DirectorStep nextStep) {
		if (director != 1 && director != 2)
			throw new IllegalArgumentException();
		this.director = director;
		this.nextStep = nextStep;
	}
}
