/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.model;

/**
 * Eraser in a lambda-net.
 * An Eraser can be made inactive. It is active by default.
 * The port is principal if the Eraser is active, first auxiliary elsewhere.
 */
public interface Eraser extends Operator {

	/**
	 * Returns its Port. It is an output Port if the direction is not inversed.
	 * @return its Port.
	 */
	public Port getPort();
}
