/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.exception;

import org.xmloperator.lambda.net.model.Port;

/**
 * Exception raised on trying to interact through an auxiliary Port.
 */
public class AuxiliaryPortException extends OperatorException {

	public AuxiliaryPortException() {
		super();
	}

	public AuxiliaryPortException(Port port) {
		super(port);
	}

	public AuxiliaryPortException(Port port, String message) {
		super(port, message);
	}
}
