/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.exception;

import org.xmloperator.lambda.net.model.Port;

/**
 * Exception raised on trying to connect two input Ports or two output Ports.
 */
public class SameTypePortException extends OperatorException {

	public SameTypePortException() {
		super();
	}

	public SameTypePortException(Port port) {
		super(port);
	}

	public SameTypePortException(Port port, String message) {
		super(port, message);
	}
}
