/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.tree.exception;

/**
 * Exception raised during term parsing.
 */
public class ParsingException extends RuntimeException {
  private int stringIndex;
  
  public ParsingException(int stringIndex) {
  	this(stringIndex, null);
  }

  public ParsingException(int stringIndex, String message) {
  	super(message);
	this.stringIndex = stringIndex;
  }

  public int getStringIndex() {
    return this.stringIndex;
  }
}
