/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.tree.exception;

import org.xmloperator.lambda.tree.model.Term;

/**
 * Exception raised on verifying the normalization of a Term in regards of
 *   EndOfScopes.
 */
public class UnextrudedEndOfScopeException extends TermException {

	public UnextrudedEndOfScopeException() {
		super();
	}

	public UnextrudedEndOfScopeException(Term term) {
		super(term);
	}

	public UnextrudedEndOfScopeException(Term term, String message) {
		super(term, message);
	}
}
