/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.tree.impl;

import org.xmloperator.lambda.tree.model.EndOfScope;
import org.xmloperator.lambda.tree.model.Term;

/**
 * EndOfScope implementation.
 */
final class EndOfScopeImpl extends TermWithBodyImpl implements EndOfScope {

	EndOfScopeImpl(TermFactoryImpl termFactory) {
		super(termFactory);
	}
	
	//////////////////////
	// Term implementation
	//////////////////////

	public void returnToFactory() {
		super.returnToFactory();
		this.termFactory.returnEndOfScope(this);
	}

	public int getType() {
		return Term.TYPE_ENDOFSCOPE;
	}
	
	public boolean isEndOfScope() {
		return true;
	}
}
